Page MenuHomePhabricator

Delete or re-create mwui.wmflabs.org
Closed, ResolvedPublic

Description

http://mwui.wmflabs.org/ is currently broken, and also deprecated (T143349: Deprecate precise instances in Labs by 2017-03-31, T121476: Migrate projects using ::role::deprecated::mediawiki::install to ::role::labs::mediawiki_vagrant) due to using Ubuntu Precise and ::role::deprecated::mediawiki::install .

Does anyone still use it, or need it to be fixed/re-created?

I'll email the design list, and the people that filed T123316: Access needed to mwui.wmflabs.org, and see what people say. Otherwise, I'll probably back up and delete it (I created this, so I am kind of responsible).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2017, 9:47 PM

We should delete it, although I've never been able to setup KSS locally and MobileFrontend uses mediawiki.UI in places. @Prtksxna @Jdlrobson what's your take?
We should also remove the references across mediawiki.org to it (separate task).

I think we can delete it.

It seems, I've mixed those up with http://tools.wmflabs.org/styleguide/ which also still exists.
@Prtksxna what I was actually intending in my question if there is any public instance left where devs (f.e. on MobileFrontend) can look at an overview of current compiled mediawiki.UI?

@Mattflaschen-WMF And yes, let's delete this one.

It seems, I've mixed those up with http://tools.wmflabs.org/styleguide/ which also still exists.
@Prtksxna what I was actually intending in my question if there is any public instance left where devs (f.e. on MobileFrontend) can look at an overview of current compiled mediawiki.UI?

Wouldn't that be http://tools.wmflabs.org/styleguide/? I am not sure if its still updated. Maybe I don't understand your question.

SamanthaNguyen added a subscriber: SamanthaNguyen.EditedJan 9 2017, 5:15 AM

@Prtksxna - I believe it is, I created a task T154703 a few days ago. The current guide is at https://github.com/wikimedia/WikimediaUI-Styleguide, which can be seen at https://wikimedia.github.io/WikimediaUI-Style-Guide/

See also T151117#2808532

@SamanthaNguyen Yeah, I've just updated the GitHub repo and the URL to https://github.com/wikimedia/WikimediaUI-Style-Guide – the former being orthographically wrong.

@Volker_E Ah forgot about that even though I saw it in my github feed - thanks for reminding me though ;-)

Andrew closed this task as Resolved.Feb 9 2017, 5:20 PM
Andrew claimed this task.
Andrew added a subscriber: Andrew.

I'm going to shut down the mwui instance right now. If there are any unexpected effects or regrets, let me know and I can revive it. If all is well it will be deleted as part of routine cleanup at the end of March. Thanks everyone!